Isi
Indeks 🔎︎

# Pernyataan Option VBASupport

Menentukan bahwa LibreOffice akan mendukung beberapa dasar pernyataan, fungsi, dan objek VBA.

Dukungan untuk VBA tidak lengkap, tetapi mencakup sebagian besar dari pola penggunaan umum.

Pernyataan ini harus ditambahkan sebelum kode program yang dapat dieksekusi dalam modul.

When VBA support is enabled, LibreOffice Basic function arguments and return values are the same as their VBA functions counterparts. When the support is disabled, LibreOffice Basic functions may accept arguments and return values different of their VBA counterparts.

### Sintaksis:

Option VBASupport {1|0}

### Parameter:

1: Aktifkan dukungan VBA di LibreOffice

0: Nonaktifkan dukungan VBA

### Contoh:

    Option VBASupport 1
    Sub ExampleVBA
        Dim sVar As Single
        sVar = Worksheets("Sheet1").Range("A1")
        Print sVar
    End Sub

Topik Terkait

Properti VBA

Dukungan VBA di LibreOffice

CompatibilityMode() Function

Option ClassModule Statement